# wxGridCellFloatEditor Class Reference
[Grid Related Classes]

`#include </home/work/projects/wx/2.9/wx/interface/wx/grid.h>`

Inheritance diagram for wxGridCellFloatEditor:
[legend]

## Detailed Description

The editor for floating point numbers data.

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellBoolEditor, wxGridCellChoiceEditor, wxGridCellEnumEditor, wxGridCellNumberEditor, wxGridCellTextEditor

## Public Member Functions

| wxGridCellFloatEditor (int width=-1, int precision=-1)
| Float cell editor ctor.
virtual void | SetParameters (const wxString &params)
| Parameters string format is "width,precision".

List of all members.

## Constructor & Destructor Documentation

wxGridCellFloatEditor::wxGridCellFloatEditor | ( | int | width = `-1`,
|  | int | precision = `-1` |
| ) |  |  |

Float cell editor ctor.

Parameters:

  | width | Minimum number of characters to be shown.
  | precision | Number of digits after the decimal dot.

## Member Function Documentation

virtual void wxGridCellFloatEditor::SetParameters | ( | const wxString & | params | ) | `[virtual]`

Parameters string format is "width,precision".

Reimplemented from wxGridCellTextEditor.

|  | [ top ]